commit:     ff9d5ffcb83f1044ddaabd3b6fe84986bc363411
Author:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Sat Mar 22 20:29:13 2025 +0000
Commit:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Sat Mar 22 20:32:33 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ff9d5ffc

app-portage/elicense: migrate to PEP517

Closes: https://bugs.gentoo.org/922210
Closes: https://bugs.gentoo.org/909884
Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>

 app-portage/elicense/elicense-1.0.2-r1.ebuild | 36 ---------------------------
 app-portage/elicense/elicense-1.0.2-r2.ebuild | 24 ++++++++++++++++++
 2 files changed, 24 insertions(+), 36 deletions(-)

diff --git a/app-portage/elicense/elicense-1.0.2-r1.ebuild 
b/app-portage/elicense/elicense-1.0.2-r1.ebuild
deleted file mode 100644
index 9256e397c361..000000000000
--- a/app-portage/elicense/elicense-1.0.2-r1.ebuild
+++ /dev/null
@@ -1,36 +0,0 @@
-# Copyright 1999-2024 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-PYTHON_COMPAT=( pypy3 python3_{9..12} )
-inherit distutils-r1
-
-if [[ ${PV} == "9999" ]]; then
-       EGIT_REPO_URI="https://github.com/Whissi/elicense.git";
-       inherit git-r3
-else
-       SRC_URI="https://github.com/Whissi/${PN}/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
-       KEYWORDS="~alpha amd64 arm arm64 hppa ppc ppc64 ~riscv ~s390 sparc x86"
-fi
-
-DESCRIPTION="Tool to find installed packages in Gentoo with non-accepted 
license(s)"
-HOMEPAGE="https://github.com/Whissi/elicense";
-
-LICENSE="GPL-2"
-SLOT="0"
-IUSE=""
-
-RDEPEND=">=sys-apps/portage-2.3.62[${PYTHON_USEDEP}]"
-
-src_prepare() {
-       default
-
-       local MY_PV=${PV}
-       if [[ ${PV} == "9999" ]]; then
-               local last_commit=$(git rev-parse HEAD)
-               MY_PV="${last_commit:0:7}-git"
-       fi
-
-       sed -i -e "s/^MY_PV =.*$/MY_PV = \"${MY_PV}\"/" \
-               elicense || die "Failed to sed in version."
-}

diff --git a/app-portage/elicense/elicense-1.0.2-r2.ebuild 
b/app-portage/elicense/elicense-1.0.2-r2.ebuild
new file mode 100644
index 000000000000..0b1e7ad5f7f9
--- /dev/null
+++ b/app-portage/elicense/elicense-1.0.2-r2.ebuild
@@ -0,0 +1,24 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( pypy3 python3_{10..12} )
+DISTUTILS_USE_PEP517=setuptools
+inherit distutils-r1
+
+DESCRIPTION="Tool to find installed packages in Gentoo with non-accepted 
license(s)"
+HOMEPAGE="https://github.com/Whissi/elicense";
+SRC_URI="https://github.com/Whissi/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha amd64 arm arm64 hppa ppc ppc64 ~riscv ~s390 sparc x86"
+
+RDEPEND=">=sys-apps/portage-2.3.62[${PYTHON_USEDEP}]"
+
+src_prepare() {
+       default
+
+       sed -i -e "s/^MY_PV =.*$/MY_PV = \"${PV}\"/" elicense || die
+}

Reply via email to